# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

%bcond_with	upstart
%bcond_without	systemd

Summary:	The inittab file and the /etc/init.d scripts
Name:		initscripts
Version:	9.34
Release:	16
# ppp-watch is GPLv2+, everything else is GPLv2
License:	GPLv2 and GPLv2+
Group:		System/Base
Source0:	initscripts-%{version}.tar.bz2
Source1:	%{name}.rpmlintrc
Source2:	rc.sysinit
Patch0:		initscripts-mdkconf.patch
Provides:   /etc/init.d
Provides:   /sbin/service

# (cg) Upstream cherry picks
Patch0101:	0101-Don-t-bother-with-stdin-stdout-stderr-for-rmmod-modp.patch
Patch0102:	0102-Just-exit-on-first-response-744734.patch
Patch0104:	0104-Don-t-exit-with-an-error-if-SEinux-isn-t-active.-768.patch
Patch0105:	0105-Handle-dmraid-sets-with-spaces-728795-lnykryn-redhat.patch
Patch0106:	0106-Typo-in-crypttab.5.patch
Patch0107:	0107-Drop-StandardInput-tty-785662.patch
Patch0108:	0108-Do-not-check-mounted-filesystems-745224.patch
Patch0109:	0109-Improve-comment-in-init-serial.conf-746808.patch

# (cg) Patches to go into mgaconf mega patch eventually
Patch0501:	0501-Rename-for-new-udev-systemd-servies.patch
#Patch0502:      initscripts-9.34.plymouth-quit.patch
#ROSA patches
Patch0504:      initscripts-9.34-rosa-i18n_ini_syntax.patch
Patch0505:      sysctl.conf.patch
Patch0506:	rosa-network-9.34.patch
Patch0507:      initscripts-9.34.loadkeys.patch

# for /bin/awk
Requires:	gawk
# for /bin/sed
Requires:	sed
Requires:	mktemp
Requires:	e2fsprogs >= 1.18-2mdk
Requires:	procps >= 2.0.7-8mdk
Requires:	gettext-base >= 0.10.35-20mdk
Requires:	module-init-tools
# needed for chvt --userwait
Requires:	kbd >= 1.15.1-2mdv
#Requires:	sysklogd >= 1.3.31
# for /sbin/fuser
Requires:	psmisc
Requires:	which
Requires:	setup >= 2.2.0-14mdk
%if %{with upstart}
Requires:	upstart
Obsoletes:	event-compat-sysv
%else
Requires:	SysVinit >= 2.85-38
%endif
# for /sbin/ip
Requires:	iproute2
# for /sbin/arping
Requires:	iputils
Requires:	net-tools
# for /bin/find
Requires:	findutils
# (blino) for pidof -c
# (bor) for pidof -m
Requires:	sysvinit-tools >= 2.87-8mdv2011.0

Requires:	perl-MDK-Common >= 1.0.1
Requires:	ifplugd >= 0.24
#Requires: sound-scripts
# (tv) unused:
#Prereq:	gawk
Requires:	iproute2
Requires:	ethtool
# http://bugzilla.redhat.com/show_bug.cgi?id=252973
Conflicts:	nut < 2.2.0
Obsoletes:	rhsound sapinit
Provides:	rhsound sapinit
Conflicts:	kernel <= 2.2, timeconfig < 3.0, pppd <= 2.4.4-3mdv2008.1, wvdial < 1.40-3
Conflicts:	initscripts < 1.22.1-5, Aurora <= 7.2-17mdk
Conflicts:	dhcpcd < 1.3.21pl1
Conflicts:	XFree86-xfs < 4.2.0-12mdk
Conflicts:	xinitrc < 2.4.12
Conflicts:	lsb < 3.1-11mdv2007.1
Conflicts:	lsb-core < 3.1-15mdv2008.1
Conflicts:	suspend-scripts < 1.27
Conflicts:	mdadm < 2.6.4-2mdv2008.1
Conflicts:	systemd <= 19-2
Conflicts:	networkmanager < 0.8.2-8
Requires:	util-linux-ng >= 2.16
Requires:	mount >= 2.11l
Requires:	udev >= 194-26
Requires:	ifmetric, resolvconf >= 1.41
Requires:	dmsetup
%if %{with systemd}
Conflicts:	prcsys
%else
Requires:	prcsys
%endif
Requires(post):	/usr/bin/tr grep, chkconfig >= 1.3.37-3mdk
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python
# Upstream URL: http://git.fedorahosted.org/git/initscripts.git
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/initscripts/trunk/

%description
The initscripts package contains the basic system scripts used to boot
your Mandriva Linux system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%package -n	debugmode
Summary:	Scripts for running in debugging mode
Requires:	initscripts
Group:		System/Base

%description -n	debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debugging mode.

Currently, this consists of various memory checking code.

%prep
%setup -q
%apply_patches
find -name "*.0???~" -delete
rm -rf po
ln -s mandriva/po

%build
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
make -C mandriva CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/etc
make ROOT=%{buildroot} SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=%{buildroot} mandir=%{_mandir}

python mandriva/gprintify.py \
	`find %{buildroot}/etc/rc.d -type f` \
	`find %{buildroot}/sysconfig/network-scripts -type f` \
	%{buildroot}/lib/systemd/fedora-* \
	%{buildroot}/lib/systemd/mandriva-*

# warly 
# put locale in /usr, gettext need /usr/share
#
# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
#find %{buildroot} -type f|sed '
#1i\
#%defattr (644, root, root, 755)
#s:'"%{buildroot}"'::
#s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#s:%lang(C) ::
#' >> %{name}.lang

%find_lang %{name}

%if %{with upstart}
 mv -f %{buildroot}/etc/inittab.upstart %{buildroot}/etc/inittab
 rm -f %{buildroot}/etc/rc.d/rc1.d/S99single
 rm -f %{buildroot}/etc/rc.d/init.d/single
%else
 mv -f %{buildroot}/etc/inittab.sysv %{buildroot}/etc/inittab
 rm -rf %{buildroot}/etc/event.d
 rm -rf %{buildroot}/etc/init
%endif
rm -f %{buildroot}/etc/inittab.*

%ifnarch s390 s390x
rm -f \
 %{buildroot}/etc/sysconfig/network-scripts/ifup-ctc \
 %{buildroot}/etc/sysconfig/network-scripts/ifup-iucv \
 %{buildroot}/lib/udev/rules.d/55-ccw.rules \
 %{buildroot}/lib/udev/ccw_init
%else
rm -f \
 %{buildroot}/etc/rc.d/rc.sysinit.s390init \
 %{buildroot}/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# FixIt! Now we use network rules from initscript
rm -f %{buildroot}/lib/udev/rules.d/60-net.rules

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

%if !%{with systemd}
  rm -rf %{buildroot}/lib/systemd
%else
  # (cg) Mask netfs initscript under systemd as native support is built in.
  ln -sf /dev/null %{buildroot}/lib/systemd/system/netfs.service
%endif

install -d -m 0755 %{buildroot}/%{_sysconfdir}/sysctl.d

#drop speedboot
rm -f %{buildroot}/%{_sysconfdir}/sysconfig/speedboot
rm -rf %{buildroot}/var/lib/speedboot
rm -f %{buildroot}/%{_sysconfdir}/X11/xsetup.d/90speedboot.xsetup
rm -rf %{buildroot}/%{_sysconfdir}/X11/xsetup.d

#delete prefdm (TODO fix patch)
rm -f %{buildroot}/%{_sysconfdir}/X11/prefdm

#delete old module config
rm -f %{buildroot}/%{_sysconfdir}/modules

#create Fedora-style modules dir in /etc/sysconfig/modules
install -d -m 0755 %{buildroot}/%{_sysconfdir}/sysconfig/modules

#Fix this!
#Remove old-style /etc/sysconfig/network-scripts/*.d directory
rm -rf %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/*.d

#Replace original sysinit
rm -f %{buildroot}/%{_sysconfdir}/rc.d/rc.sysinit
install -m 0755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/rc.d/
%post
#remove /etc/sysctl.d/sysctl.conf symlink
rm -f /etc/sysctl.d/sysctl.conf
#
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/run/utmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/run/utmp /var/log/btmp
chmod 664 /var/log/wtmp /var/run/utmp
chmod 600 /var/log/btmp

%_mypost_service partmon

%_mypost_service network

%_mypost_service netconsole

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
	DESK=`cat /etc/sysconfig/desktop`
	echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
		#
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && grep -q -e 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then

	# handle single user mode declaration
	if ! grep -q '..:S:' /etc/inittab; then
		cat >> /etc/inittab <<EOF

# Single user mode
~~:S:wait:/bin/sh
EOF
	fi
	
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%preun
%_preun_service netfs

%_preun_service netconsole

%_preun_service network-up

%_preun_service network

%_preun_service partmon

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%files -f %{name}.lang
%dir %{_sysconfdir}/sysconfig/network-scripts
#dir %{_sysconfdir}/sysconfig/network-scripts/ifup.d
#dir %{_sysconfdir}/sysconfig/network-scripts/ifdown.d
#dir %{_sysconfdir}/sysconfig/network-scripts/wireless.d
#dir %{_sysconfdir}/sysconfig/network-scripts/vpn.d
#dir %{_sysconfdir}/sysconfig/network-scripts/vpn.d/openvpn
#dir %{_sysconfdir}/sysconfig/network-scripts/vpn.d/pptp
#dir %{_sysconfdir}/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/partmon
%config(noreplace) /etc/sysconfig/netconsole
%config(noreplace) /etc/sysconfig/readonly-root
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
%dir %{_sysconfdir}/sysconfig/modules
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-hso
/etc/sysconfig/network-scripts/ifdown-hso
#/etc/X11/prefdm
#/etc/X11/lookupdm
%config(noreplace) /etc/networks 
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
%if %{with upstart}
%config(noreplace) /etc/event.d/*
/etc/init/*
%endif
/lib/udev/rules.d/*
%config(noreplace) /etc/inittab
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/rc[0-9].d
/etc/rcS.d
/etc/rc
%dir /etc/rc.d/init.d
%config(noreplace) /etc/rc.local
/etc/rc.sysinit
/lib/lsb/init-functions
/etc/rc.d/init.d/*
/etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
%dir /etc/sysctl.d
%exclude /etc/profile.d/debug*
%config /etc/profile.d/*
#dir /etc/sysconfig/network-scripts/cellular.d
#dir /etc/sysconfig/network-scripts/hostname.d
#/etc/sysconfig/network-scripts/ifup.d/vpn
#/etc/sysconfig/network-scripts/ifdown.d/vpn
/usr/sbin/vpn-start
/usr/sbin/vpn-stop
/usr/sbin/mdv-network-event
/usr/sbin/sys-unconfig
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
/sbin/securetty
%attr(2755,root,root) /sbin/netreport
/lib/udev/rename_device
/lib/udev/console_init
/lib/udev/console_check
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
/sbin/sushell
#mdv
/sbin/hibernate-cleanup.sh
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fi)	%{_mandir}/fi/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%dir /etc/ppp/ip-down.d
%dir /etc/ppp/ip-up.d
%dir /etc/ppp/peers
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/00-netreport
/etc/NetworkManager/dispatcher.d/05-netfs
%doc sysconfig.txt sysvinitfiles static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
/var/lib/stateless
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%ifnarch %{sparcx}
/usr/sbin/supermount
%endif
/usr/bin/*
# warly
# gettext need /use/share/locale anyway
#%dir /etc/locale
#%dir /etc/locale/*
#%dir /etc/locale/*/LC_MESSAGES
%if %{with systemd}
%{_sysconfdir}/tmpfiles.d/initscripts.conf
%{_sysconfdir}/tmpfiles.d/mandriva.conf
/lib/systemd/fedora-autorelabel
/lib/systemd/fedora-configure
/lib/systemd/fedora-loadmodules
/lib/systemd/fedora-readonly
/lib/systemd/fedora-storage-init
/lib/systemd/mandriva-boot-links
/lib/systemd/mandriva-save-dmesg
/lib/systemd/system/basic.target.wants/fedora-autorelabel.service
/lib/systemd/system/basic.target.wants/fedora-autorelabel-mark.service
/lib/systemd/system/basic.target.wants/fedora-configure.service
/lib/systemd/system/basic.target.wants/fedora-loadmodules.service
/lib/systemd/system/basic.target.wants/mandriva-boot-links.service
/lib/systemd/system/basic.target.wants/mandriva-save-dmesg.service
/lib/systemd/system/ctrl-alt-del.target
/lib/systemd/system/fedora-autorelabel.service
/lib/systemd/system/fedora-autorelabel-mark.service
/lib/systemd/system/fedora-configure.service
/lib/systemd/system/fedora-loadmodules.service
/lib/systemd/system/fedora-readonly.service
/lib/systemd/system/fedora-storage-init.service
/lib/systemd/system/fedora-storage-init-late.service
/lib/systemd/system/fedora-wait-storage.service
/lib/systemd/system/netfs.service
/lib/systemd/system/mandriva-boot-links.service
/lib/systemd/system/mandriva-save-dmesg.service
/lib/systemd/system/local-fs.target.wants/fedora-readonly.service
/lib/systemd/system/local-fs.target.wants/fedora-storage-init.service
/lib/systemd/system/local-fs.target.wants/fedora-storage-init-late.service
/lib/systemd/system/mandriva-kmsg-loglevel.service
/lib/systemd/system/sysinit.target.wants/mandriva-kmsg-loglevel.service
%endif

%files -n debugmode
%config(noreplace) /etc/sysconfig/debug
%config /etc/profile.d/debug*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 9.34-16
+ Revision: 39c76c4
- MassBuild#440: Increase release tag

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 9.34-15
+ Revision: 50b3821
- added loadkeys ru patch

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 9.34-14
+ Revision: e64af0b
- another fix rc.sysinit

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 9.34-14
+ Revision: 900aae3
- fix rc.sysinit

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 9.34-12
+ Revision: 6580262
- Drop mandriva-everytime.service and some obsoletes Mandriva patches

* Mon Oct 21 2013 Alexander Kazancev <kazancas@gmail.com> 9.34-11
+ Revision: 53b10f0
- Fix dhclient options

* Mon Oct 21 2013 Alexander Kazancev <kazancas@gmail.com> 9.34-11
+ Revision: 8b4db47
- Up release

* Wed Sep 04 2013 akdengi <kazancas@mandriva.ru> 9.34-10
+ Revision: 1fa0373
- move USE_NM_ONLY config to NM packager

* Tue Sep 03 2013 Alexander Kazancev <kazancas@gmail.com> 9.34-10
+ Revision: 59762fb
- Need latest udev >= 194-26

* Tue Sep 03 2013 akdengi <alexander.kazancev@rosalab.ru> 9.34-10
+ Revision: 643ab24
- drop 60-net udev rule and add options NM_USE_ONLY=yes in /etc/sysconfig/network. Clean spec

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-9
+ Revision: b3268dd
- add rules

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-9
+ Revision: 7547082
- use new net udev rule

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-8
+ Revision: 684e29b
- remove sysconfig/network-scripts/*.d dirs from files in spec

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-8
+ Revision: bae360c
- return net rules from initscript, not udev

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-8
+ Revision: 214b459
- drop old network parts

* Mon Aug 05 2013 akdengi <kazancas@mandriva.ru> 9.34-7
+ Revision: d0d3080
- up release

* Mon Aug 05 2013 akdengi <kazancas@mandriva.ru> 9.34-6.7
+ Revision: d73fa1c
- update network script and programs

* Wed Apr 17 2013 akdengi <kazancas@gmail.com> 9.34-6.7
+ Revision: dcbbd2f
- reward rc.sysinit

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: 96b46a0
- fix mdv-network-event install

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: d69419d
- return mdv-network-event

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: e45020f
- remove call network-up from mandriva patch

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: 7ebb5b5
- change initscripts. Drop all network path. In mandrake_everytime clean /var/tmp as /tmp in tmpfs and clean automatially

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: 24a84b2
- fix

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: ab2e8d1
- speedboot clean

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: 12eb037
- fix

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: 512ae72
- fix spec

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.5
+ Revision: b39b346
- remove plymouth quit patch

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.4
+ Revision: aace076
- drop speedboot and rc.sysinit patch

* Tue Apr 16 2013 akdengi <kazancas@gmail.com> 9.34-6.4
+ Revision: 296be88
- remove lookupdm and prefdm via systemd migrate

* Mon Feb 25 2013 root <root@localhost.localdomain> 9.34-6.4
+ Revision: 670874b
- added remove symlink to the postscript

* Thu Feb 21 2013 root <root@localhost.localdomain> 9.34-6.3
+ Revision: ffc5609
- removed the symlink from /etc/sysctl.d, removed obsoleted options

* Tue Feb 05 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 9.34-6.2
+ Revision: 9b53acd
- added Provides:   /sbin/service

* Fri Dec 28 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 9.34-6.1
+ Revision: 798137b
- LOG error handling $HOME/.i18n file with ini syntax fixed

* Sat Dec 22 2012 Alexander Kazancev <kazancas@gmail.com> 9.34-6
+ Revision: 7fee3a1
- Drop /etc/modules as need only for kernel < 2.5

* Wed Dec 05 2012 root <root@localhost.localdomain> 9.34-5
+ Revision: e30ece2
- changed mandriva everytime service

* Tue Nov 20 2012 root <root@localhost.localdomain> 9.34-4
+ Revision: 9101945
- force plymouth quit at DM start

* Fri Oct 05 2012 akdengi <kazancas@mandriva.ru> 9.34-3
+ Revision: 92722a1
- fix

* Fri Oct 05 2012 akdengi <kazancas@mandriva.ru> 9.34-3
+ Revision: fcc4da3
- drop netprofile and /etc/resolv.conf

* Thu Sep 27 2012 Alex Burmashev <alex.burmashev@rosalab.ru> 9.34-2
+ Revision: a3d78e9
- added Provides:   /etc/init.d for at package

* Tue Sep 25 2012 akdengi <kazancas@mandriva.ru> 9.34-2
+ Revision: 6ccbc82
- fix spec

* Tue Sep 25 2012 akdengi <kazancas@mandriva.ru> 9.34-2
+ Revision: 4ef586a
- LOG - Sync with Cooker


